package cn.com.countrygarden.bi.main.service.review;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaire;
import cn.com.countrygarden.bi.main.model.review.ReviewInvestigated;

/**
 * 问卷表-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url
 * @date 2018-06-25
 */
public interface ReviewQuestionnaireService {

	Result queryQuestionnaireAndproblem(int id);

	Result queryPageList(ReviewQuestionnaire reviewQuestionnaire, int page, int size);

	Result queryById(Integer id);

	Result add(ReviewQuestionnaire reviewQuestionnaire, AccessToken accessToken);

	Result edit(ReviewQuestionnaire reviewQuestionnaire, AccessToken accessToken);

	Result del(Integer id);

//	Result getreviewquestionnaireanswer(Integer id, Integer questionnaireId, Integer judgeId);

//	Result ReviewQuestionnairelistVo(String name, int page, int size);

	Result questionnaireParamVoOne(Integer id);

//	Result getreviewquestionnaireanswer(ReviewInvestigated reviewinve);

	Result ReviewQuestionnairelistVo(String name, int page, int size, boolean hasRole, String userCode,Integer investigationmanagementId);

}